Index: Source/Fortran/makefile_cray
===================================================================
--- Source/Fortran/makefile_cray	(revision 4f247989d67e9b1876b8e79ae2b81dd9450d0d47)
+++ Source/Fortran/makefile_cray	(revision 3520ee67099c17fb30ae2f290d148b6456f52564)
@@ -9,4 +9,7 @@
 # Version for a machine with eccodes and emoslib installed on standard paths
 # with optimisation
+#
+# 2022-07-21 Anne Tipka
+#   Updated makefile to make use of the files for fft and get rid of emoslib
 #
 ###############################################################################
@@ -26,19 +29,28 @@
 
 .f.o:
-SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90
-OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o
+SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90 ./set99.f90 ./fft99.f90 ./qpassm.f90 ./rpassm.f90 ./jsppole.f90
+OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o set99.o fft99.o qpassm.o rpassm.o jsppole.o
 MOD = ftrafo.mod  grtoph.mod	phtogr.mod  rwgrib2.mod
 
-all:	${EXE}
-
+all: ${EXE}
+jsppole.o: ./jsppole.f90 
+	$(FC)  $(FFLAGS)  -c	./jsppole.f90
+qpassm.o: ./qpassm.f90
+	$(FC)  $(FFLAGS)  -c	./qpassm.f90
+rpassm.o: ./rpassm.f90
+	$(FC)  $(FFLAGS)  -c	./rpassm.f90
+set99.o: ./set99.f90
+	$(FC)  $(FFLAGS)  -c	./set99.f90
+fft99.o: ./fft99.f90
+	$(FC)  $(FFLAGS)  -c	./fft99.f90
 ftrafo.o: ./ftrafo.f90 phgrreal.o
 	$(FC)  $(FFLAGS)  -c	./ftrafo.f90
-grphreal.o: ./grphreal.f90 phgrreal.o
+grphreal.o: ./grphreal.f90 phgrreal.o fft99.o
 	$(FC)  $(FFLAGS)  -c	./grphreal.f90
-phgrreal.o: ./phgrreal.f90
+phgrreal.o: ./phgrreal.f90 fft99.o
 	$(FC)  $(FFLAGS)  -c	./phgrreal.f90
 posnam.o: ./posnam.f90
 	$(FC)  $(FFLAGS)  -c	./posnam.f90
-calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o
+calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o jsppole.o set99.o
 	$(FC)  $(FFLAGS)  -c	./calc_etadot.f90
 rwgrib2.o: ./rwgrib2.f90
Index: Source/Fortran/makefile_debug
===================================================================
--- Source/Fortran/makefile_debug	(revision 4f247989d67e9b1876b8e79ae2b81dd9450d0d47)
+++ Source/Fortran/makefile_debug	(revision 3520ee67099c17fb30ae2f290d148b6456f52564)
@@ -9,4 +9,7 @@
 # Version for a machine with eccodes and emoslib installed on standard paths
 # full debugging
+#
+# 2022-07-21 Anne Tipka
+#   Updated makefile to make use of the files for fft and get rid of emoslib
 #
 ###############################################################################
@@ -25,6 +28,6 @@
 FFLAGS =   $(OPT) $(LIB) $(INC) -fdefault-real-8 -fopenmp -fconvert=big-endian 
 LDFLAGS =  $(OPT) $(LIB) -fopenmp
-SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90
-OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o
+SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90 ./set99.f90 ./fft99.f90 ./qpassm.f90 ./rpassm.f90 ./jsppole.f90
+OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o set99.o fft99.o qpassm.o rpassm.o jsppole.o
 MOD = ftrafo.mod  grtoph.mod	phtogr.mod  rwgrib2.mod
 
@@ -33,13 +36,23 @@
 
 all: ${EXE}
+jsppole.o: ./jsppole.f90 
+	$(FC)  $(FFLAGS)  -c	./jsppole.f90
+qpassm.o: ./qpassm.f90
+	$(FC)  $(FFLAGS)  -c	./qpassm.f90
+rpassm.o: ./rpassm.f90
+	$(FC)  $(FFLAGS)  -c	./rpassm.f90
+set99.o: ./set99.f90
+	$(FC)  $(FFLAGS)  -c	./set99.f90
+fft99.o: ./fft99.f90
+	$(FC)  $(FFLAGS)  -c	./fft99.f90
 ftrafo.o: ./ftrafo.f90 phgrreal.o
 	$(FC)  $(FFLAGS)  -c	./ftrafo.f90
-grphreal.o: ./grphreal.f90 phgrreal.o
+grphreal.o: ./grphreal.f90 phgrreal.o fft99.o
 	$(FC)  $(FFLAGS)  -c	./grphreal.f90
-phgrreal.o: ./phgrreal.f90
+phgrreal.o: ./phgrreal.f90 fft99.o
 	$(FC)  $(FFLAGS)  -c	./phgrreal.f90
 posnam.o: ./posnam.f90
 	$(FC)  $(FFLAGS)  -c	./posnam.f90
-calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o
+calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o jsppole.o set99.o
 	$(FC)  $(FFLAGS)  -c	./calc_etadot.f90
 rwgrib2.o: ./rwgrib2.f90
Index: Source/Fortran/makefile_ecgate
===================================================================
--- Source/Fortran/makefile_ecgate	(revision 4f247989d67e9b1876b8e79ae2b81dd9450d0d47)
+++ Source/Fortran/makefile_ecgate	(revision 3520ee67099c17fb30ae2f290d148b6456f52564)
@@ -9,4 +9,7 @@
 # Version for a machine with eccodes and emoslib installed on standard paths
 # with optimisation
+#
+# 2022-07-21 Anne Tipka
+#   Updated makefile to make use of the files for fft and get rid of emoslib
 #
 ###############################################################################
@@ -23,18 +26,28 @@
 FFLAGS =   $(OPT) $(LIB) $(INC) -fdefault-real-8 -fopenmp -fconvert=big-endian 
 LDFLAGS =  $(OPT) $(LIB) -fopenmp
-SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90
-OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o
+SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90 ./set99.f90 ./fft99.f90 ./qpassm.f90 ./rpassm.f90 ./jsppole.f90
+OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o set99.o fft99.o qpassm.o rpassm.o jsppole.o
 MOD = ftrafo.mod  grtoph.mod	phtogr.mod  rwgrib2.mod
 
 all: ${EXE}
+jsppole.o: ./jsppole.f90 
+	$(FC)  $(FFLAGS)  -c	./jsppole.f90
+qpassm.o: ./qpassm.f90
+	$(FC)  $(FFLAGS)  -c	./qpassm.f90
+rpassm.o: ./rpassm.f90
+	$(FC)  $(FFLAGS)  -c	./rpassm.f90
+set99.o: ./set99.f90
+	$(FC)  $(FFLAGS)  -c	./set99.f90
+fft99.o: ./fft99.f90
+	$(FC)  $(FFLAGS)  -c	./fft99.f90
 ftrafo.o: ./ftrafo.f90 phgrreal.o
 	$(FC)  $(FFLAGS)  -c	./ftrafo.f90
-grphreal.o: ./grphreal.f90 phgrreal.o
+grphreal.o: ./grphreal.f90 phgrreal.o fft99.o
 	$(FC)  $(FFLAGS)  -c	./grphreal.f90
-phgrreal.o: ./phgrreal.f90
+phgrreal.o: ./phgrreal.f90 fft99.o
 	$(FC)  $(FFLAGS)  -c	./phgrreal.f90
 posnam.o: ./posnam.f90
 	$(FC)  $(FFLAGS)  -c	./posnam.f90
-calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o
+calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o jsppole.o set99.o
 	$(FC)  $(FFLAGS)  -c	./calc_etadot.f90
 rwgrib2.o: ./rwgrib2.f90
Index: Source/Fortran/makefile_fast
===================================================================
--- Source/Fortran/makefile_fast	(revision 4f247989d67e9b1876b8e79ae2b81dd9450d0d47)
+++ Source/Fortran/makefile_fast	(revision 3520ee67099c17fb30ae2f290d148b6456f52564)
@@ -9,4 +9,7 @@
 # Version for a machine with eccodes and emoslib installed on standard paths
 # with optimisation
+#
+# 2022-07-21 Anne Tipka
+#   Updated makefile to make use of the files for fft and get rid of emoslib
 #
 ###############################################################################
@@ -27,6 +30,6 @@
 FFLAGS =   $(OPT) $(LIB) $(INC) -fdefault-real-8 -fopenmp -fconvert=big-endian 
 LDFLAGS =  $(OPT) $(LIB) -fopenmp
-SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90
-OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o
+SRC = ./rwgrib2.f90 ./calc_etadot.f90 ./ftrafo.f90 ./grphreal.f90 ./posnam.f90 ./phgrreal.f90 ./set99.f90 ./fft99.f90 ./qpassm.f90 ./rpassm.f90 ./jsppole.f90
+OBJ = rwgrib2.o calc_etadot.o ftrafo.o grphreal.o posnam.o phgrreal.o set99.o fft99.o qpassm.o rpassm.o jsppole.o
 MOD = ftrafo.mod  grtoph.mod	phtogr.mod  rwgrib2.mod
 
@@ -35,13 +38,23 @@
 
 all: ${EXE}
+jsppole.o: ./jsppole.f90 
+	$(FC)  $(FFLAGS)  -c	./jsppole.f90
+qpassm.o: ./qpassm.f90
+	$(FC)  $(FFLAGS)  -c	./qpassm.f90
+rpassm.o: ./rpassm.f90
+	$(FC)  $(FFLAGS)  -c	./rpassm.f90
+set99.o: ./set99.f90
+	$(FC)  $(FFLAGS)  -c	./set99.f90
+fft99.o: ./fft99.f90
+	$(FC)  $(FFLAGS)  -c	./fft99.f90
 ftrafo.o: ./ftrafo.f90 phgrreal.o
 	$(FC)  $(FFLAGS)  -c	./ftrafo.f90
-grphreal.o: ./grphreal.f90 phgrreal.o
+grphreal.o: ./grphreal.f90 phgrreal.o fft99.o
 	$(FC)  $(FFLAGS)  -c	./grphreal.f90
-phgrreal.o: ./phgrreal.f90
+phgrreal.o: ./phgrreal.f90 fft99.o
 	$(FC)  $(FFLAGS)  -c	./phgrreal.f90
 posnam.o: ./posnam.f90
 	$(FC)  $(FFLAGS)  -c	./posnam.f90
-calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o
+calc_etadot.o: ./calc_etadot.f90 phgrreal.o grphreal.o ftrafo.o rwgrib2.o jsppole.o set99.o
 	$(FC)  $(FFLAGS)  -c	./calc_etadot.f90
 rwgrib2.o: ./rwgrib2.f90