Index: python/FlexpartTools.py
===================================================================
--- python/FlexpartTools.py	(revision fb8810cda0dbbf0169e05332ef2fe5632ef1214e)
+++ python/FlexpartTools.py	(revision 5862eb9fb86828345e2b1eff400e37c52de16432)
@@ -98,5 +98,5 @@
                         help="Public mode - retrieves the public datasets")
 
-    parser.add_argument("--request", dest="request", default=0,
+    parser.add_argument("--request", dest="request", default=None,
                         help="list all mars request in file mars_requests.dat \
                         and skip submission to mars")
@@ -193,8 +193,10 @@
 
     # set request attribute to control file
-    if args.request != '0':
-        c.request=args.request
-
-    if c.request != '0':
+    if args.request != None:
+        c.request=int(args.request)
+    else:
+        c.request = 0
+
+    if c.request != 0:
         marsfile = os.path.join(c.inputdir, 'mars_requests.csv')
         if os.path.isfile(marsfile):
@@ -577,6 +579,7 @@
 
             if not hasattr(self,'request'):
-                self.request='0'
-            elif self.request != 0:
+                self.request=0
+            elif int(self.request) != 0:
+                self.request=int(self.request)
                 marsfile = os.path.join(self.inputdir,
                                         'mars_requests.csv')
@@ -1031,10 +1034,10 @@
                                   date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
 
-                    if request == "0":
+                    if request == 0:
                         MR.displayInfo()
                         MR.dataRetrieve()
-                    elif request == "1":
+                    elif request == 1:
                         MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                    elif request == "2":
+                    elif request == 2:
                         MR.print_infodata_csv(self.inputdir, self.mreq_count)
                         MR.displayInfo()
@@ -1070,10 +1073,10 @@
                                                 date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
 
-                            if request == "0":
+                            if request == 0:
                                 MR.displayInfo()
                                 MR.dataRetrieve()
-                            elif request == "1":
+                            elif request == 1:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                            elif request == "2":
+                            elif request == 2:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
                                 MR.displayInfo()
@@ -1090,10 +1093,10 @@
                                                 accuracy=self.accuracy,grid=pv[3],target=mftarget,area=area,
                                                 date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
-                            if request == "0":
+                            if request == 0:
                                 MR.displayInfo()
                                 MR.dataRetrieve()
-                            elif request == "1":
+                            elif request == 1:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                            elif request == "2":
+                            elif request == 2:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
                                 MR.displayInfo()
@@ -1107,10 +1110,10 @@
                                                 date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
 
-                            if request == "0":
+                            if request == 0:
                                 MR.displayInfo()
                                 MR.dataRetrieve()
-                            elif request == "1":
+                            elif request == 1:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                            elif request == "2":
+                            elif request == 2:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
                                 MR.displayInfo()
@@ -1137,10 +1140,10 @@
                                       date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
 
-                        if request == "0":
+                        if request == 0:
                             MR.displayInfo()
                             MR.dataRetrieve()
-                        elif request == "1":
+                        elif request == 1:
                             MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                        elif request == "2":
+                        elif request == 2:
                             MR.print_infodata_csv(self.inputdir, self.mreq_count)
                             MR.displayInfo()
@@ -1159,10 +1162,10 @@
                                           date=mfdate, time=mftime,number=self.number,step=mfstep, expver=self.expver, param=pv[0])
 
-                            if request == "0":
+                            if request == 0:
                                 MR.displayInfo()
                                 MR.dataRetrieve()
-                            elif request == "1":
+                            elif request == 1:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
-                            elif request == "2":
+                            elif request == 2:
                                 MR.print_infodata_csv(self.inputdir, self.mreq_count)
                                 MR.displayInfo()
@@ -1170,7 +1173,7 @@
 
 
-        if request == "0" or request == "2":
+        if request == 0 or request == 2:
             print('MARS retrieve done ... ')
-        elif request == "1":
+        elif request == 1:
             print('MARS request printed ...')
 
@@ -1472,5 +1475,4 @@
         for key in index_keys:
             key_vals = grib_index_get(iid,key)
-            print key_vals
 
             l=[]
@@ -1481,5 +1483,5 @@
             for k in l:
                 key_vals.append(str(k))
-
+            print key_vals
             index_vals.append(key_vals)
 
@@ -1581,7 +1583,7 @@
                         grib_set_values(gid, values)
                         if c.maxstep>12:
-                            grib_set(gid,'step',max(0,step-2*int(c.dtime)))
+                            grib_set(gid,'stepRange',max(0,step-2*int(c.dtime)))
                         else:
-                            grib_set(gid,'step',0)
+                            grib_set(gid,'stepRange',0)
                             grib_set(gid,'time',fdate.hour*100)
                             grib_set(gid,'date',fdate.year*10000+fdate.month*100+fdate.day)
@@ -1601,5 +1603,5 @@
                             values=svdp[3]
                             grib_set_values(gid, values)
-                            grib_set(gid,'step',0)
+                            grib_set(gid,'stepRange',0)
                             truedatetime=fdate+datetime.timedelta(hours=2*int(c.dtime))
                             grib_set(gid,'time',truedatetime.hour*100)
@@ -1613,5 +1615,5 @@
                                 values=dapoly(list(reversed(svdp)))
 
-                            grib_set(gid,'step',0)
+                            grib_set(gid,'stepRange',0)
                             truedatetime=fdate+datetime.timedelta(hours=int(c.dtime))
                             grib_set(gid,'time',truedatetime.hour*100)
Index: python/getMARSdata.py
===================================================================
--- python/getMARSdata.py	(revision a9c7f3e683adff09e14197fcd3b46ab149d4f8b7)
+++ python/getMARSdata.py	(revision 5862eb9fb86828345e2b1eff400e37c52de16432)
@@ -112,5 +112,5 @@
 
     datechunk=datetime.timedelta(days=int(c.date_chunk))
-    if c.request == '0' or c.request == '2':
+    if c.request == 0 or c.request == 2:
         print 'removing content of '+c.inputdir
         tobecleaned=glob.glob(c.inputdir+'/*_acc_*.'+str(os.getppid())+'.*.grb')
@@ -151,5 +151,5 @@
 
 
-    if c.request == '0' or c.request == '2':
+    if c.request == 0 or c.request == 2:
         print 'removing content of '+c.inputdir
         tobecleaned=glob.glob(c.inputdir+'/*__*.'+str(os.getppid())+'.*.grb')
Index: python/job.temp
===================================================================
--- python/job.temp	(revision b38d7502fc21b0c0ec1be25a99e9e179cf66617f)
+++ python/job.temp	(revision 5862eb9fb86828345e2b1eff400e37c52de16432)
@@ -25,5 +25,5 @@
 
 set -x
-export VERSION=7.0.3
+export VERSION=7.0.4
 case $HOST in
   *ecg*)
@@ -33,5 +33,5 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-  export PATH=${PATH}:${HOME}/flex_extract_v7.0.3/python
+  export PATH=${PATH}:${HOME}/flex_extract_v7.0.4/python
   ;;
   *cca*)
@@ -41,5 +41,5 @@
   module load python
   export SCRATCH=$TMPDIR
-  export PATH=${PATH}:${HOME}/flex_extract_v7.0.3/python
+  export PATH=${PATH}:${HOME}/flex_extract_v7.0.4/python
   ;;
 esac