Index: For_developers/Sphinx/source/Documentation/Api/api_fortran.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Api/api_fortran.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Api/api_fortran.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -1,5 +1,5 @@
-**************************************
+******************************************************
 Auto-generated documentation for the Fortran programme
-**************************************
+******************************************************
 
 .. contents::
Index: For_developers/Sphinx/source/Documentation/Api/api_python.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Api/api_python.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Api/api_python.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -1,5 +1,5 @@
-*************************************
+***************************************************
 Auto-generated documentation for the Python scripts
-*************************************
+***************************************************
 
 .. contents::
Index: For_developers/Sphinx/source/Documentation/Input/compilejob.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Input/compilejob.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Input/compilejob.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -1,5 +1,5 @@
-********************************************
+*********************************************
 The compilation job script ``compilejob.ksh``
-********************************************
+*********************************************
 
 The compile job is a Korn-shell script which will be created during the installation process for the application modes **remote** and **gateway** from a template called ``compilejob.template`` in the template directory.
Index: For_developers/Sphinx/source/Documentation/Input/examples.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Input/examples.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Input/examples.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -36,4 +36,6 @@
 	CONTROL_OD.OPER.FC.twicedaily.3hourly
 
+.. todo::
+
    #PS some information to be added.
  
Index: For_developers/Sphinx/source/Documentation/Input/fortran_makefile.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Input/fortran_makefile.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Input/fortran_makefile.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -1,5 +1,5 @@
-**************************************
+****************************************
 The Fortran makefile for ``calc_etadot``
-**************************************
+****************************************
 
 .. _ref-convert:
Index: For_developers/Sphinx/source/Documentation/Input/jobscript.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Input/jobscript.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Input/jobscript.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -1,5 +1,5 @@
-*************************
+**************************
 The job script ``job.ksh``
-*************************
+**************************
 
 The job script is a Korn-shell script which will be created at runtime for each ``flex_extract`` execution in the application modes **remote** and **gateway**.
@@ -20,5 +20,5 @@
 
 What does the job script do?
----------------------------
+----------------------------
 
  #. It sets necessary batch system parameters.
Index: For_developers/Sphinx/source/Documentation/Input/run.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/Input/run.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/Input/run.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -15,5 +15,5 @@
 
 Submission parameters
---------------------
+---------------------
 
 
@@ -34,5 +34,5 @@
 
 
-.. _ref-install-script:
+
        
 Usage of ``submit.py`` (optional)
Index: For_developers/Sphinx/source/Documentation/output.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/output.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/output.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -205,5 +205,8 @@
 
 This file is called ``date_time_stepRange.idx``. It contains indices pointing to specific grib messages from one or more grib files. The messages are selected with a composition of grib message keywords. 
-#PS NEEDS MORE DESCRIPTION
+
+.. todo::
+
+	#PS NEEDS MORE DESCRIPTION
 
 
Index: For_developers/Sphinx/source/Documentation/vertco.rst
===================================================================
--- For_developers/Sphinx/source/Documentation/vertco.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Documentation/vertco.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -21,5 +21,5 @@
     
 Calculation of the vertical velocity from the horizontal wind using the continuity equation
-===================================================================================
+===========================================================================================
 
 The vertical velocity in the ECMWF's eta vertical coordinate system is computed by the Fortran program ``calc_etadot``, using the continuity equation and thereby ensuring mass-consistent 3D wind fields. A detailed description of ``calc_etadot`` can be found in the
@@ -42,5 +42,5 @@
     
 Calculation of the vertical velocity from the pre-calculated MARS parameter 77
-======================================================================
+==============================================================================
 
 Since November 2008, the parameter 77 (deta/dt) is stored in ``MARS`` on full model levels. ``FLEXTRA``/``FLEXPART`` in its current version requires ``deta/dt`` on model half levels, multiplied by ``dp/deta``. In ``flex_extract``, the program ``calc_etadot`` assumes that parameter 77 is available if the ``CONTROL`` parameter ``ETA`` is set to 1. 
Index: For_developers/Sphinx/source/Ecmwf/hintsecmwf.rst
===================================================================
--- For_developers/Sphinx/source/Ecmwf/hintsecmwf.rst	(revision f20342a474e36967cf41b6e992ab0fd6992624c4)
+++ For_developers/Sphinx/source/Ecmwf/hintsecmwf.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -9,5 +9,5 @@
 
 How can I find out what data are available?
-==========================================
+===========================================
 
 Go to the `Web Interface for accessing member-state data sets <http://apps.ecmwf.int/archive-catalogue/>`_
Index: For_developers/Sphinx/source/index.rst
===================================================================
--- For_developers/Sphinx/source/index.rst	(revision a14839a40dc8721273a72cecc94644350f273cc0)
+++ For_developers/Sphinx/source/index.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -78,6 +78,6 @@
           <ul>
             <li><a href="Developers/gen_docu.html">Updateing the documentation</a></li>
-<!--           <li><a href=""></a><Placeholder></li>
-            <li><a href=""></a><Placeholder></li>-->
+            <li><a href=""></a><Placeholder></li>
+            <li><a href=""></a><Placeholder></li>
           </ul>
         </td>
Index: For_developers/Sphinx/source/quick_start.rst
===================================================================
--- For_developers/Sphinx/source/quick_start.rst	(revision 550435b6360f19b96c22737be3a5c1dfd17bc6b4)
+++ For_developers/Sphinx/source/quick_start.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -337,5 +337,5 @@
 ----------------
 
-This data set provides the output of the real-time atmospheric model runs in high resolution, including 10-day forecasts. The model undergoes frequent adaptations and improvements. Thus, retrieving data from this dataset requires extra attention in selecting correct settings of the parameters. See :ref:`ref-tab-dataset-cmp` for the most important parameters. 
+This data set provides the output of the real-time atmospheric model runs in high resolution, including 10-day forecasts. The model undergoes frequent adaptations and improvements. Thus, retrieving data from this dataset requires extra attention in selecting correct settings of the parameters. See :ref:`[Table of datasets]<ref-tab-dataset-cmp>` for the most important parameters. 
 Currently, fields can be retrieved at 1 h temporal resolution by filling the gaps between analysis fields with 1-hourly forecast fields. Since 4 June 2008, the eta coordinate vertical velocity is directly available from MARS, therefore ``ETA`` should be set to ``1`` to save computation time. The horizontal resolution can be up to ``0.1°`` and in combination with ``137`` vertical levels can lead to problems in terms of job duration and disk space quota.
 It is recommended to submit such high resolution cases as single day retrievals (see ``JOB_CHUNK`` parameter in ``run.sh`` script) to avoid job failures due to exceeding limits.   
@@ -405,6 +405,5 @@
     If set to ``1``, all temporary files are preserved. Otherwise, everything except the final output files will be deleted.
 request
-    This produces an extra *csv* file ``mars_requests.csv`` where the content of each MARS request submitted within the job is stored, which is useful for debugging and documentation.
-Possible values are 0 for normal data retrieval, 1 for not retrieving data and just writing out the MARS requests, and 2 to retrieve data and write out requests.
+    This produces an extra *csv* file ``mars_requests.csv`` where the content of each MARS request submitted within the job is stored, which is useful for debugging and documentation. Possible values are 0 for normal data retrieval, 1 for not retrieving data and just writing out the MARS requests, and 2 to retrieve data and write out requests.
 mailfail
     As a default, e-mails are sent to the mail address defined for the ECMWF user account. It is possible to overwrite this by specifying one or more e-mail addresses (comma-separated list). In order to include the e-mail associated with the user account, add ``${USER}`` to the list.
@@ -418,5 +417,8 @@
     The time declaration for analysis (AN) fields uses the times of the specific analysis while the (forecast time) step has to be ``0``. 
     The forecast field types (e.g. FC, CF, CV, PF) need to declare a combination of (forescast start) time and the (forecast) step. Together they define the actual time. It is important to know the forecast starting times for the dataset to be retrieved, since they are different. In general, it is sufficient to give information for the exact time steps, but it is also possible to have more time step combinations of ``TYPE``, ``TIME`` and ``STEP`` because the temporal (hourly) resolution with the ``DTIME`` parameter will select the correct combinations. 
-# needs to be rephrased
+    
+    .. todo::
+
+	    #PS needs to be rephrased
 
     .. code-block:: bash
@@ -431,6 +433,6 @@
 Vertical velocity           
     The vertical velocity for ``FLEXPART`` is not directly available from MARS and has to be calculated. 
-    There are several options for this, and the following parameters are responsible for the selection. See :doc:`Documentation/vertco` for a detailed explanation. Using ``ETADIFF 1``, ``OMEGA 1`` and ``OMEGADIFF 1`` is recommended for debugging and testing only. 
-  Usually, one has to decide between ``GAUSS 1`` and ``ETA 1``. ``GAUSS 1`` means that spectral fields of the horizontal wind fields and the divergence are retrieved and that the vertical velocity is calculate using the continuity equation. ``ETA 1`` means that horizontal wind fields etadot are retrieved on a regular lat-lon grid. It is recommended to use ``ETA 1`` where possible, as there is a substantial computational overhead for solving the continuity equation.
+    There are several options for this, and the following parameters are responsible for the selection. 		See :doc:`Documentation/vertco` for a detailed explanation. Using ``ETADIFF 1``, ``OMEGA 1`` and ``OMEGADIFF 1`` is recommended for debugging and testing only. 
+    Usually, one has to decide between ``GAUSS 1`` and ``ETA 1``. ``GAUSS 1`` means that spectral fields of the horizontal wind fields and the divergence are retrieved and that the vertical velocity is calculate using the continuity equation. ``ETA 1`` means that horizontal wind fields etadot are retrieved on a regular lat-lon grid. It is recommended to use ``ETA 1`` where possible, as there is a substantial computational overhead for solving the continuity equation.
 
     .. code-block:: bash
@@ -448,5 +450,9 @@
     The grid and domain parameters depends on each other. ``grid`` refers to the grid resolution. It can be given as decimal values (e.g., ``1.`` meaning 1.0°), or as in previous versions of flex_extract, as integer values refering to 1/1000 degrees (e.g., ``1000`` means also 1°). The code applies common sense to determine what format is to be assumed.
     After selecting grid, the ``domain`` has to be defined. The extension in longitude or latitude direction must be an integer multiple of ``grid``. 
-#PS shouldn't we explain how to define a domain??
+    
+	.. todo:: 
+		
+		#PS shouldn't we explain how to define a domain??
+		
     The horizontal resolution for spectral fields is set by the parameter ``RESOL``. For information about how to select an appropriate value please read the explanation of the MARS keyword RESOL as found `in this entry of the ECMWF on-line documentation <https://confluence.ecmwf.int/display/UDOC/Post-processing+keywords#Post-processingkeywords-resol>`_ and  `this table (also ECMWF documentation) <https://confluence.ecmwf.int/display/UDOC/Retrieve#Retrieve-Truncationbeforeinterpolation>`_.
     
@@ -466,7 +472,11 @@
     Flux fields are always forecast fields and contain values of the fluxes accumulated since the start of the respective forecast. As certain re-analysis dataset cover all time steps with analysis fields, it was necessary to define a new parameter set for the definition of the flux fields. The following parameters are used specifically for flux fields, if provided. ``ACCTYPE`` is the field type (must be a type of forecast), ``ACCTIME``  the forecast starting time, and  ``ACCMAXSTEP`` the maximum forecast step;``DTIME`` the temporal resolution. ACCTYPE is assumed to be the same during the whole period given by ACCTIME and ACCMAXSTEP. 
     
+	.. todo::
+
+		#PS for which application would this be typical?
+	    
     .. code-block:: bash
        :caption: Example setting for the definition of flux fields.
-#PS for which application would this be typical?
+
     
         DTIME 3
Index: For_developers/Sphinx/source/todo.rst
===================================================================
--- For_developers/Sphinx/source/todo.rst	(revision ba9923062b4af98cbdd20c4101c305766fc728f5)
+++ For_developers/Sphinx/source/todo.rst	(revision 5920b7f7de7d2f322abca005714c549cca869fed)
@@ -7,2 +7,4 @@
 
 .. todolist::
+
+