Index: For_developers/Sphinx/Source/Documentation/Input/compilejob.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/Input/compilejob.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/Input/compilejob.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -1,13 +1,13 @@
-*********************************************
+*************************************************
 The compilation job script ``compilejob.ksh``
-*********************************************
+*************************************************
 
-The compile job is a Korn-shell script which will be created during the installation process for the application modes **remote** and **gateway** from a template called ``compilejob.template`` in the template directory.
+The compile job is a Korn-shell script which will be created during the installation process for the application modes **remote** and **gateway** from a template called ``installscript.template`` in the template directory.
 
 ``Flex_extract`` uses the Python package `genshi <https://genshi.edgewall.org/>`_ to generate
 the Korn-shell script from the template files by substituting the individual parameters. 
-These individual parameters are marked by a doubled ``$`` sign in ``job.temp``. 
+These individual parameters are marked by a doubled ``$`` sign in ``installscript.template``. 
 
-The job script has a number of settings for the batch system which are fixed, and it differentiates between the *ecgate* and the *cca/ccb* 
+The compilation script has a number of settings for the batch system which are fixed, and it differentiates between the *ecgate* and the *cca/ccb* 
 server system to load the necessary modules for the environment when submitted to the batch queue.
 
@@ -24,5 +24,5 @@
  #. It creates the ``flex_extract`` root directory in the ``$HOME`` path of the user
  #. It untars the tarball into the root directory.
- #. It compiles the Fortran program using ``Makefile``.
+ #. It compiles the Fortran program using ``makefile``.
  #. At the end, it checks whether the script has returned an error or not, and emails the log file to the user.
 
@@ -67,9 +67,7 @@
       *ecg*)
       module unload grib_api
-      module unload eccodes
-      module unload python
       module unload emos
       module load python3
-      module load eccodes/2.12.0
+      module load eccodes
       module load emos/455-r64
       export FLEXPART_ROOT_SCRIPTS=${HOME}
@@ -77,9 +75,8 @@
       ;;
       *cca*)
-      module unload python
       module switch PrgEnv-cray PrgEnv-intel
       module load python3
-      module load eccodes/2.12.0
-      module load emos
+      module load eccodes
+      module load emos/455-r64
       echo ${GROUP}
       echo ${HOME}
Index: For_developers/Sphinx/Source/Documentation/Input/examples.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/Input/examples.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/Input/examples.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -36,7 +36,7 @@
 	CONTROL_OD.OPER.FC.twicedaily.3hourly
 
-.. todo::
+.. note::
 
-   #PS some information to be added.
+   Further information will follow.
  
 .. toctree::
Index: For_developers/Sphinx/Source/Documentation/Input/jobscript.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/Input/jobscript.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/Input/jobscript.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -5,10 +5,10 @@
 The job script is a Korn-shell script which will be created at runtime for each ``flex_extract`` execution in the application modes **remote** and **gateway**.
 
-It is based on the ``job.temp`` template file stored in the ``Templates`` directory.
-This template is generated in the installation process from a ``job.template`` template file.
+It is based on the ``submitscript.template`` template file stored in the ``Templates`` directory.
+This template is generated in the installation process from a ``jobscript.template`` template file.
 
 ``Flex_extract`` uses the Python package `genshi <https://genshi.edgewall.org/>`_ to generate
 the Korn-shell script from the template files by substituting the individual parameters. 
-These individual parameters are marked by ``$$`` in ``job.temp``. 
+These individual parameters are marked by ``$$`` in ``jobscript.template``. 
 
 The job script has a number of settings for the batch system which are fixed, and differentiates between the *ecgate* and the *cca/ccb* 
@@ -26,5 +26,5 @@
  #. It sets some environment variables for the single session.
  #. It creates the directory structure in the user's ``$SCRATCH`` file system.
- #. It creates a CONTROL file on the ECMWF servers whith the parameters set before creating the ``jobscript.ksh``. ``Flex_extract`` has a set of parameters which are passed to the job script with their default or the user-defined values. It also sets ``CONTROL`` as an environment variable.
+ #. It creates a CONTROL file on the ECMWF servers whith the parameters set before creating the ``job.ksh``. ``Flex_extract`` has a set of parameters which are passed to the job script with their default or the user-defined values. It also sets ``CONTROL`` as an environment variable.
  #. ``Flex_extract`` is started from within the ``work`` directory of the new directory structure by calling the ``submit.py`` script. It sets new paths for input and output directories and the recently generated ``CONTROL`` file.
  #. At the end, it checks whether the script has returned an error or not, and emails the log file to the user.
@@ -33,5 +33,5 @@
 
 
-Example ``jobscript.ksh``
+Example ``job.ksh``
 -------------------------
   
@@ -68,18 +68,15 @@
       *ecg*)
       module unload grib_api
-      module unload eccodes
-      module unload python
       module unload emos
       module load python3
-      module load eccodes/2.12.0
+      module load eccodes
       module load emos/455-r64
       export PATH=${PATH}:${HOME}/flex_extract_v7.1/Source/Python
       ;;
       *cca*)
-      module unload python
       module switch PrgEnv-cray PrgEnv-intel
       module load python3
-      module load eccodes/2.12.0
-      module load emos
+      module load eccodes
+      module load emos/455-r64
       export SCRATCH=${TMPDIR}
       export PATH=${PATH}:${HOME}/flex_extract_v7.1/Source/Python
@@ -107,5 +104,5 @@
     date_chunk 3
     debug 1
-    destination annep@genericSftp
+    destination <specificname>@genericSftp
     doubleelda 0
     dpdeta 1
@@ -128,5 +125,5 @@
     grib2flexpart 0
     grid 1.0/1.0
-    inputdir /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/run/workspace
+    inputdir <path-to-flex_extract>/flex_extract_v7.1/run/workspace
     install_target None
     job_chunk 1
@@ -145,5 +142,5 @@
     omegadiff 0
     oper 0
-    outputdir /raid60/nas/tmc/Anne/Interpolation/flexextract/flex_extract_v7.1/run/workspace
+    outputdir <path-to-flex_extract>/flex_extract_v7.1/run/workspace
     prefix CE
     public 0
Index: For_developers/Sphinx/Source/Documentation/Input/run.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/Input/run.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/Input/run.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -31,6 +31,5 @@
 .. literalinclude:: ../../../../../Run/run.sh 
    :language: bash
-   :caption: run.sh
-
+   :caption:  run.sh
 
 
Index: For_developers/Sphinx/Source/Documentation/Input/templates.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/Input/templates.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/Input/templates.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -8,10 +8,10 @@
    Do not change anything in these files unless you understand the effects!
    
-Each template file has its content framework and keeps so-called placeholder variables in the positions where the values need to be substituted at run time. These placeholders are marked by a leading ``$`` sign. In case of the Kornshell job scripts, where (environment) variables are used, the ``$`` sign needs to be doubled for `escaping`.
+Each template file has its content framework and keeps so-called placeholder variables in the positions where the values need to be substituted at run time. These placeholders are marked by a leading ``$`` sign. In case of the Korn shell job scripts, where (environment) variables are used, the ``$`` sign needs to be doubled for `escaping`.
    
 The following templates are used; they can be found in the directory ``flex_extract_vX.X/Templates``:
 
-convert.nl
-----------
+calc_etadot_nml.template
+-------------------------
 
     This is the template for a Fortran namelist file called ``fort.4`` read by ``calc_etadot``.
@@ -40,5 +40,5 @@
         /
 
-ecmwf_env.template
+ECMWF_ENV.template
 ------------------
 
@@ -52,6 +52,6 @@
         DESTINATION $destination_name
 
-compilejob.template
--------------------
+installscript.template
+----------------------
 
     This template is used to create the job script file called ``compilejob.ksh`` during the installation process for the application modes **remote** and **gateway**. 
@@ -97,9 +97,7 @@
           *ecg*)
           module unload grib_api
-          module unload eccodes
-          module unload python
           module unload emos
           module load python3
-          module load eccodes/2.12.0
+          module load eccodes
           module load emos/455-r64
           export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
@@ -107,9 +105,8 @@
           ;;
           *cca*)
-          module unload python
           module switch PrgEnv-cray PrgEnv-intel
           module load python3
-          module load eccodes/2.12.0
-          module load emos
+          module load eccodes
+          module load emos/455-r64
           echo $${GROUP}
           echo $${HOME}
@@ -140,6 +137,6 @@
 
 
-job.temp
---------
+submitscript.template
+---------------------
 
     This template is used to create the actual job script file called ``job.ksh`` for the execution of ``flex_extract`` in the application modes **remote** and **gateway**. 
@@ -185,21 +182,18 @@
         case $${HOST} in
           *ecg*)
-          module unload grib_api
-          module unload eccodes
-          module unload python
-          module unload emos
-          module load python3
-          module load eccodes/2.12.0
-          module load emos/455-r64
-          export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
-          ;;
-          *cca*)
-          module unload python
-          module switch PrgEnv-cray PrgEnv-intel
-          module load python3
-          module load eccodes/2.12.0
-          module load emos
-          export SCRATCH=$${TMPDIR}
-          export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
+		  module unload grib_api
+		  module unload emos
+		  module load python3
+		  module load eccodes
+		  module load emos/455-r64
+		  export PATH=${PATH}:${HOME}/flex_extract_v7.1/Source/Python
+		  ;;
+		  *cca*)
+		  module switch PrgEnv-cray PrgEnv-intel
+		  module load python3
+		  module load eccodes
+		  module load emos/455-r64
+		  export SCRATCH=${TMPDIR}
+		  export PATH=${PATH}:${HOME}/flex_extract_v7.1/Source/Python
           ;;
         esac
@@ -237,8 +231,8 @@
         
 
-job.template
-------------
-
-    This template is used to create the template for the execution job script ``job.temp`` for ``flex_extract`` in the installation process. A description of the file can be found under ``job.temp``. Several parameters are set in this process, such as the user credentials and the ``flex_extract`` version number.
+jobscript.template
+------------------
+
+    This template is used to create the template for the execution job script ``submitscript.template`` for ``flex_extract`` in the installation process. A description of the file can be found under ``submitscript.template``. Several parameters are set in this process, such as the user credentials and the ``flex_extract`` version number.
         
     .. code-block:: ksh
@@ -273,19 +267,16 @@
         case $$$${HOST} in
           *ecg*)
-          module unload grib_api
-          module unload eccodes
-          module unload python
-          module unload emos
-          module load python3
-          module load eccodes/2.12.0
-          module load emos/455-r64
+		  module unload grib_api
+		  module unload emos
+		  module load python3
+		  module load eccodes
+		  module load emos/455-r64
           export PATH=$$$${PATH}:$fp_root_path
           ;;
           *cca*)
-          module unload python
-          module switch PrgEnv-cray PrgEnv-intel
-          module load python3
-          module load eccodes/2.12.0
-          module load emos
+		  module switch PrgEnv-cray PrgEnv-intel
+		  module load python3
+		  module load eccodes
+		  module load emos/455-r64
           export SCRATCH=$$$${TMPDIR}
           export PATH=$$$${PATH}:$fp_root_path
Index: For_developers/Sphinx/Source/Documentation/disagg.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/disagg.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/disagg.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -13,14 +13,14 @@
 
 .. csv-table:: Flux fields
-    :header: "Short Name", "Name", "Units", "Interpolation Type"
+    :header: "Short Name", "Name", "Units", "Disaggregation"
     :align: center
     :widths: 5,15,5,10
     
-    LSP,  "large-scale precipitation",          "m",          "modified linear interpolation"
-    CP,   "convective precipitation",           "m",          "modified linear interpolation"
-    SSHF, "surface sensible heat flux",         "J m:math:`^{-2}`",   "bicubic interpolation"
-    EWSS, "eastward turbulent surface stress",  "N m:math:`^{-2}` s", "bicubic interpolation"
-    NSSS, "northward turbulent surface stress", "N m:math:`^{-2}` s", "bicubic interpolation"
-    SSR,  "surface net solar radiation",        "J m:math:`^{-2}`",   "bicubic interpolation"
+    LSP,  "large-scale precipitation",          "m",          "precipitation "
+    CP,   "convective precipitation",           "m",          "precipitation"
+    SSHF, "surface sensible heat flux",         "J m :math:`^{-2}`",   "flux"
+    EWSS, "eastward turbulent surface stress",  "N m :math:`^{-2}` s", "flux "
+    NSSS, "northward turbulent surface stress", "N m :math:`^{-2}` s", "flux "
+    SSR,  "surface net solar radiation",        "J m :math:`^{-2}`",   "flux "
     
 
@@ -43,5 +43,5 @@
 
 In the old versions (below 7.1), a relatively simple method processes the precipitation fields in a way that is consistent with the linear interpolation between times where input fields are available that is applied in ``FLEXPART`` for all variables. 
-This scheme (from Paul James) at first divides the accumulated values by the number of hours (i.e., 3 or 6). ???
+This scheme (from Paul James) at first divides the accumulated values by the number of hours (i.e., 3 or 6).
 The best option for disaggregation, which was realised, is conservation within the interval under consideration plus the two adjacent ones. 
 Unfortunately, this leads to undesired temporal smoothing of the precipitation time series – maxima are damped and minima are raised. 
@@ -161,19 +161,12 @@
       
 The accumulated values for the other variables are first divided by the number of hours and
-then interpolated to the exact times using a bicubic interpolation which conserves the integrals of the fluxes within each timespan.
-Disaggregation is done for four adjacent time intervals (:math:`p_a, p_b, p_c, p_d`) which produces a new, disaggregated value that is the output at the central point of the four adjacent time intervals.
+then disaggregates to the exact times and conserves the integrals of the fluxes within each timespan.
+Disaggregation is done for four adjacent time intervals (:math:`F_0, F_1, F_2, F_3`) which produces a new, disaggregated value that is the output at the central point of the four adjacent time intervals.
+This new point :math:`F` is used for linear interpolation of the complete timeseries afterwards.
 
 .. math::
+
     
-    p_a &= (a_3 - a_0 + 3. * (a_1 - a_2)) / 6. \\    
-    p_b &= (a_2 + a_0) / 2. - a_1 - 9. * p_a / 2. \\
-    p_c &= a_1 - a_0 - 7. * p_a / 2. - 2. * p_b \\    
-    p_d &= a_0 - p_a / 4. - p_b / 3. - p_c / 2. 
-
-This new point :math:`p` is used for linear interpolation of the complete timeseries afterwards.
-
-.. math::
-    
-    p = 8. * p_a + 4. * p_b + 2. * p_c + p_d
+    F = -\frac{1}{12}F_0 + \frac{7}{12}F_1 + \frac{7}{12}F_2 -\frac{1}{12}F_3
 
 
Index: For_developers/Sphinx/Source/Documentation/input.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/input.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/input.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -36,6 +36,6 @@
        python3 Source/Python/submit.py --help
    
-    With version 7.1, we provide also wrapper shell scripts setup_ and run_ which set the command-line parameters, do some checks, and execute the corresponing Python scripts ``install.py`` and ``submit.py``, respectively. 
-     It might be faster and easier for beginners if they are used. See :doc:`../quick_start` for information on how to use them.
+    
+    With version 7.1, we provide also wrapper shell scripts setup_ and run_ which set the command-line parameters, do some checks, and execute the corresponing Python scripts ``install.py`` and ``submit.py``, respectively. It might be faster and easier for beginners if they are used. See :doc:`../quick_start` for information on how to use them.
 
     ``flex_extract`` also creates the Korn shell scripts :doc:`Input/compilejob` and :doc:`Input/jobscript` which will be sent to the ECMWF servers in the **remote mode** and the **gateway mode** for starting batch jobs.
Index: For_developers/Sphinx/Source/Documentation/output.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/output.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/output.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -81,8 +81,8 @@
 
 
-Output files for pure forecast
+Output files for long forecast
 ------------------------------
 
-``Flex_extract`` is able to retrieve forecasts with a lead time of more than 23 hours. In order to avoid collisions of time steps names, a new scheme for filenames in pure forecast mode is introduced:
+``Flex_extract`` is able to retrieve forecasts with a lead time of more than 23 hours. In order to avoid collisions of time steps names, a new scheme for filenames in long forecast mode is introduced:
 
 .. code-block:: bash
@@ -194,10 +194,4 @@
 
 
-VERTICAL.EC
------------
-
-This file contains information describing the vertical discretisation (model levels) 
-in form of the ``A`` and ``B`` parameters which allow to calculate the actual pressure of a model level from the surface pressure.
-
 
 Index file
@@ -205,8 +199,4 @@
 
 This file is called ``date_time_stepRange.idx``. It contains indices pointing to specific grib messages from one or more grib files. The messages are selected with a composition of grib message keywords. 
-
-.. todo::
-
-	#PS NEEDS MORE DESCRIPTION
 
 
Index: For_developers/Sphinx/Source/Documentation/vertco.rst
===================================================================
--- For_developers/Sphinx/Source/Documentation/vertco.rst	(revision None)
+++ For_developers/Sphinx/Source/Documentation/vertco.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -7,6 +7,7 @@
 
 Two methods are provided in ``flex_extract`` for the calculation of the vertical velocity for ``FLEXTRA``/``FLEXPART``: 
-    (i) from the horizontal wind field, 
-    (ii) from the MARS parameter 77, which is available for operational forecasts and analyses since September 2008 and for reanalysis datasets **ERA5** and **CERA-20C**, which contains the vertical velocity directly in the eta coordinate system of the ECMWF model.
+
+(i) from the horizontal wind field, 
+(ii) from the MARS parameter 77, which is available for operational forecasts and analyses since September 2008 and for reanalysis datasets **ERA5** and **CERA-20C**, which contains the vertical velocity directly in the eta coordinate system of the ECMWF model.
 
 Especially for high resolution data, use of the ``MARS`` parameter 77 is recommended,
@@ -31,4 +32,5 @@
     * For very fine output grids (0.25 degree or finer), the full resolution T799 or even T1279 of the operational model is required (``RESOL=799``, ``SMOOTH=0``). The highest available resolution (and the calculation of vertical velocity on the Gaussian grid (``GAUSS=1``) is, however, rather demanding and feasible only for resolutions up to T799. Higher resolutions are achievable on the HPC. If data retrieval at T1279  needs to be performed on *ecgate*, the computation of the vertical velocity is feasible only on the lat/lon grid (``GAUSS=0``), which also yields very good results. Please read document v20_update_protocol.pdf-v60_update_protocol.pdf to see if the errors incurred are acceptable for the planned application.
     * For lower resolution (often global) output grids, calculation of vertical velocities with lower than operational spectral resolution is recommended. For global grids the following settings appear optimal:
+    
         - For 1.0 degree grids: ``GAUSS=1``, ``RESOL=255``, ``SMOOTH=179``
         - For 0.5 degree grids: ``GAUSS=1``, ``RESOL=399``, ``SMOOTH=359``
Index: For_developers/Sphinx/Source/Installation/gateway.rst
===================================================================
--- For_developers/Sphinx/Source/Installation/gateway.rst	(revision None)
+++ For_developers/Sphinx/Source/Installation/gateway.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -129,5 +129,5 @@
 |   DESTINATION='<assoc_name>@genericSftp'     |   DESTINATION='<assoc_name>@genericSftp'     | 
 |   INSTALLDIR=None                            |   INSTALLDIR=None                            | 
-|   JOB_TEMPLATE='job.template'                |   JOB_TEMPLATE='job.template'                |
+|   JOB_TEMPLATE='installscript.template'      |   JOB_TEMPLATE='installscript.template'      |
 |   CONTROLFILE='CONTROL_EA5'                  |   CONTROLFILE='CONTROL_EA5'                  | 
 |   ...                                        |   ...                                        |   
Index: For_developers/Sphinx/Source/Installation/local.rst
===================================================================
--- For_developers/Sphinx/Source/Installation/local.rst	(revision None)
+++ For_developers/Sphinx/Source/Installation/local.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -17,6 +17,6 @@
 .. _cdsapi: https://cds.climate.copernicus.eu/api-how-to
 .. _genshi: https://genshi.edgewall.org/
-.. _eccodes for python: https://pypi.org/project/eccodes-python/
-.. _eccodes for conda: https://anaconda.org/conda-forge/eccodes
+.. _eccodes for python: https://pypi.org/project/eccodes/ 
+.. _eccodes for conda: https://anaconda.org/conda-forge/python-eccodes
 .. _gfortran: https://gcc.gnu.org/wiki/GFortran
 .. _fftw3: http://www.fftw.org
@@ -120,4 +120,5 @@
 
 Check the availability of the python packages by typing ``python3`` in a terminal window and run the ``import`` commands in the python shell:
+
 .. code-block:: python
     
@@ -287,4 +288,5 @@
    #
    TARGET='local'
+   MAKEFILE=<name_of_your_makefile>
    ECUID=None
    ECGID=None
@@ -292,5 +294,5 @@
    DESTINATION=None
    INSTALLDIR=None
-   JOB_TEMPLATE='job.template'
+   JOB_TEMPLATE=''
    CONTROLFILE='CONTROL_EA5'
    ...
Index: For_developers/Sphinx/Source/Installation/remote.rst
===================================================================
--- For_developers/Sphinx/Source/Installation/remote.rst	(revision None)
+++ For_developers/Sphinx/Source/Installation/remote.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -138,5 +138,5 @@
 |   DESTINATION='<username>@genericSftp'       |   DESTINATION='<username>@genericSftp'       | 
 |   INSTALLDIR=None                            |   INSTALLDIR=''                              | 
-|   JOB_TEMPLATE='job.template'                |   JOB_TEMPLATE='job.template'                |
+|   JOB_TEMPLATE='installscript.template'      |   JOB_TEMPLATE='installscript.template'      |
 |   CONTROLFILE='CONTROL_EA5'                  |   CONTROLFILE='CONTROL_EA5'                  | 
 |   ...                                        |   ...                                        |   
@@ -153,6 +153,5 @@
 
 .. code-block:: bash
-
-   module load python3   
+  
    ./setup.sh
    
Index: For_developers/Sphinx/Source/authors.rst
===================================================================
--- For_developers/Sphinx/Source/authors.rst	(revision None)
+++ For_developers/Sphinx/Source/authors.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -9,7 +9,6 @@
 | Althanstraße 14 / UZA II
 | 1090 Vienna, Austria
-| mail: anne.philipp [at] univie.ac.at
+| e-mail: anne.philipp [at] univie.ac.at
  
-
 
 | Leopold Haimberger 
@@ -18,7 +17,14 @@
 | Althanstraße 14 / UZA II
 | 1090 Vienna, Austria
-| mail: leopold.haimberger [at] univie.ac.at
+| e-mail: leopold.haimberger [at] univie.ac.at
 
-    
+
+| Petra Seibert
+| Institute of Meteorology (BOKU-Met)
+| University of Natural Resources & Life Sciences (BOKU)
+| Gregor-Mendel-Str. 33
+| 1180 Wien, Austria
+| e-mail: petra.seibert ./at/. boku.ac.at
+  
 .. toctree::
     :hidden:
Index: For_developers/Sphinx/Source/changelog.rst
===================================================================
--- For_developers/Sphinx/Source/changelog.rst	(revision None)
+++ For_developers/Sphinx/Source/changelog.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -11,4 +11,23 @@
 
 
+.. _ref-v712:
+
+Release v7.1.2
+--------------
+
+Changes
+#########
+   * changed naming of template files
+   * separate loading of Python3 module in remote mode is no longer necessary
+   * updated module versions for ECMWF servers
+   * changed names of working directories on ECMWF servers
+   * select makefile automatically regarding application mode if it was not set in ``setup.sh``
+   * updated online documentation
+   * converted most important Fortran code documentation from German to English 
+   * deactivate writing of VERTICAL.EC file by Fortran code
+   * adapt and improve Fortran regression test scripts
+   * remove jasper lib from Fortran makefiles
+   
+   
 .. _ref-v711:
 
Index: For_developers/Sphinx/Source/conf.py
===================================================================
--- For_developers/Sphinx/Source/conf.py	(revision None)
+++ For_developers/Sphinx/Source/conf.py	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -32,7 +32,7 @@
 
 # The short X.Y version
-version = u'7.1.1'
+version = u'7.1.2'
 # The full version, including alpha/beta/rc tags
-release = u'7.1.1'
+release = u'7.1.2'
 
 
Index: For_developers/Sphinx/Source/installation.rst
===================================================================
--- For_developers/Sphinx/Source/installation.rst	(revision None)
+++ For_developers/Sphinx/Source/installation.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -140,5 +140,5 @@
 We tested ``flex_extract`` with the Python3 package from the the GNU/Linux distribution and Anaconda Python. The required Python3 modules should prefarably be installed as distribution packages, or alternatively using Python's own package manager ``pip`` (this may mess up some aspects of your python installation, especially if you use ``pip`` as root. Think about using virtual environments.).
 
-Before installing the system packages check the availability with (Debian-based system) ``dpkg -s <package-name> |  grep Status`` or (Redhat-based system)``rpm -q <package_name>``. For example: 
+Before installing the system packages check the availability with (Debian-based system) ``dpkg -s <package-name> |  grep Status`` or (Redhat-based system) ``rpm -q <package_name>``. For example: 
 
 .. code-block:: sh
@@ -198,5 +198,5 @@
 To check whether the Fortran program ``calc_etadot`` has been compiled and runs properly, it can be applied to a prepared minimal dataset.
 
-For this, go from the ``flex_extract`` root directory to the ``Testing/Installation/Convert/`` directory and execute the Fortran program.
+For this, go from the ``flex_extract`` root directory to the ``Testing/Installation/Calc_etadot/`` directory and execute the Fortran program.
 
 .. note:: 
@@ -205,5 +205,5 @@
 .. code-block:: bash
    
-   cd Testing/Installation/Convert
+   cd Testing/Installation/Calc_etadot
    # execute the Fortran progam without arguments
    ../../../Source/Fortran/calc_etadot
Index: For_developers/Sphinx/Source/quick_start.rst
===================================================================
--- For_developers/Sphinx/Source/quick_start.rst	(revision None)
+++ For_developers/Sphinx/Source/quick_start.rst	(revision 6931f619b7c5d1d97ad8d890d856f96211da5866)
@@ -65,5 +65,4 @@
     
         # On ECMWF server
-        [<ecuid>@ecgb11 ~]$ module load python3
         [<ecuid>@ecgb11 ~]$ cd flex_extract_vX.X/Run
         
@@ -104,5 +103,5 @@
     OUTPUTDIR=None
     PP_ID=None
-    JOB_TEMPLATE='job.temp' 
+    JOB_TEMPLATE='jobscript.template' 
     CONTROLFILE='CONTROL_CERA' 
     DEBUG=0
@@ -138,10 +137,10 @@
     ls -rthl
 
-The last command lists the most recent logs and temporary retrieval directories (usually ``pythonXXXXX``, where XXXXX is the process id). Under ``pythonXXXXX`` a copy of the ``CONTROL`` file is stored under the name ``CONTROL``, the protocol is stored in the file ``prot`` and the temporary files as well as the resulting files are stored in a directory ``work``. The original name of the ``CONTROL`` file is stored in this new file under parameter ``controlfile``.
+The last command lists the most recent logs and temporary retrieval directories (usually ``extractXXXXX``, where XXXXX is the process id). Under ``extractXXXXX`` a copy of the ``CONTROL`` file is stored under the name ``CONTROL``, the protocol is stored in the file ``prot`` and the temporary files as well as the resulting files are stored in a directory ``work``. The original name of the ``CONTROL`` file is stored in this new file under parameter ``controlfile``.
 
 .. code-block:: bash
     :caption: "Example structure of ``flex_extract`` output directory on ECMWF servers."
         
-    pythonXXXXX
+    extractXXXXX
     ├── CONTROL
     ├── prot
@@ -358,6 +357,6 @@
     
 
-Pure forecast
-    It is possible to retrieve pure forecasts exceeding one day. The forecast period available depends on the date and forecast field type. Please use MARS catalogue to check the availability. Below are some examples for 36 hour forecasts of *Forecast (FC)*, *Control forecast (CF)* and *Calibration/Validation forecast (CV)*. 
+Long forecast
+    It is possible to retrieve long forecasts exceeding one day. The forecast period available depends on the date and forecast field type. Please use MARS catalogue to check the availability. Below are some examples for 36 hour forecasts of *Forecast (FC)*, *Control forecast (CF)* and *Calibration/Validation forecast (CV)*. 
     The *CV* field type was only available 3-hourly from 2006 up to 2016. It is recommended to use the *CF* type since this is available from 1992 (3-hourly) on up to today (1-hourly). *CV* and *CF* field types belong to the *Ensemble prediction system (ENFO)* which currently works with 50 ensemble members. 
     Please be aware that in this case it is necessary to set the type for flux fields explicitly, otherwise a default value might be selected, different from what you expect!
@@ -418,8 +417,4 @@
     The forecast field types (e.g. FC, CF, CV, PF) need to declare a combination of (forescast start) time and the (forecast) step. Together they define the actual time. It is important to know the forecast starting times for the dataset to be retrieved, since they are different. In general, it is sufficient to give information for the exact time steps, but it is also possible to have more time step combinations of ``TYPE``, ``TIME`` and ``STEP`` because the temporal (hourly) resolution with the ``DTIME`` parameter will select the correct combinations. 
     
-    .. todo::
-
-	    #PS needs to be rephrased
-
     .. code-block:: bash
        :caption: Example of a setting for the field types and temporal resolution. It will retrieve 3-hourly fields, with analyses at 00 and 12 UTC and the corresponding forecasts inbetween.
@@ -451,7 +446,4 @@
     After selecting grid, the ``domain`` has to be defined. The extension in longitude or latitude direction must be an integer multiple of ``grid``. 
     
-	.. todo:: 
-		
-		#PS shouldn't we explain how to define a domain??
 		
     The horizontal resolution for spectral fields is set by the parameter ``RESOL``. For information about how to select an appropriate value please read the explanation of the MARS keyword RESOL as found `in this entry of the ECMWF on-line documentation <https://confluence.ecmwf.int/display/UDOC/Post-processing+keywords#Post-processingkeywords-resol>`_ and  `this table (also ECMWF documentation) <https://confluence.ecmwf.int/display/UDOC/Retrieve#Retrieve-Truncationbeforeinterpolation>`_.
@@ -470,10 +462,6 @@
 
 Flux data
-    Flux fields are always forecast fields and contain values of the fluxes accumulated since the start of the respective forecast. As certain re-analysis dataset cover all time steps with analysis fields, it was necessary to define a new parameter set for the definition of the flux fields. The following parameters are used specifically for flux fields, if provided. ``ACCTYPE`` is the field type (must be a type of forecast), ``ACCTIME``  the forecast starting time, and  ``ACCMAXSTEP`` the maximum forecast step;``DTIME`` the temporal resolution. ACCTYPE is assumed to be the same during the whole period given by ACCTIME and ACCMAXSTEP. 
-    
-	.. todo::
-
-		#PS for which application would this be typical?
-	    
+    Flux fields are always forecast fields and contain values of the fluxes accumulated since the start of the respective forecast. As certain re-analysis dataset cover all time steps with analysis fields, it was necessary to define a new parameter set for the definition of the flux fields. The following parameters are used specifically for flux fields. ``ACCTYPE`` is the field type (must be a type of forecast), ``ACCTIME``  the forecast starting time, and  ``ACCMAXSTEP`` the maximum forecast step;``DTIME`` the temporal resolution. ACCTYPE is assumed to be the same during the whole period given by ACCTIME and ACCMAXSTEP. These values will be set automatically if not provided in a ``CONTROL`` file.
+    	    
     .. code-block:: bash
        :caption: Example setting for the definition of flux fields.