Index: Source/Python/Classes/ControlFile.py
===================================================================
--- Source/Python/Classes/ControlFile.py	(revision None)
+++ Source/Python/Classes/ControlFile.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Classes/EcFlexpart.py
===================================================================
--- Source/Python/Classes/EcFlexpart.py	(revision None)
+++ Source/Python/Classes/EcFlexpart.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
@@ -846,6 +846,6 @@
             if area[1] > area[3]:
                 area[1] -= 360
-            maxl = round((area[3] - area[1]) / grid[1]) + 1
-            maxb = round((area[0] - area[2]) / grid[0]) + 1
+            maxl = int(round((area[3] - area[1]) / grid[1])) + 1
+            maxb = int(round((area[0] - area[2]) / grid[0])) + 1
 
             stream = namelist_template.generate(
Index: Source/Python/Classes/GribUtil.py
===================================================================
--- Source/Python/Classes/GribUtil.py	(revision None)
+++ Source/Python/Classes/GribUtil.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Classes/MarsRetrieval.py
===================================================================
--- Source/Python/Classes/MarsRetrieval.py	(revision None)
+++ Source/Python/Classes/MarsRetrieval.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Classes/UioFiles.py
===================================================================
--- Source/Python/Classes/UioFiles.py	(revision None)
+++ Source/Python/Classes/UioFiles.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Mods/checks.py
===================================================================
--- Source/Python/Mods/checks.py	(revision None)
+++ Source/Python/Mods/checks.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Mods/disaggregation.py
===================================================================
--- Source/Python/Mods/disaggregation.py	(revision None)
+++ Source/Python/Mods/disaggregation.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Mods/get_mars_data.py
===================================================================
--- Source/Python/Mods/get_mars_data.py	(revision None)
+++ Source/Python/Mods/get_mars_data.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Mods/prepare_flexpart.py
===================================================================
--- Source/Python/Mods/prepare_flexpart.py	(revision None)
+++ Source/Python/Mods/prepare_flexpart.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/Mods/profiling.py
===================================================================
--- Source/Python/Mods/profiling.py	(revision None)
+++ Source/Python/Mods/profiling.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #************************************************************************
Index: Source/Python/Mods/tools.py
===================================================================
--- Source/Python/Mods/tools.py	(revision None)
+++ Source/Python/Mods/tools.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/_config.py
===================================================================
--- Source/Python/_config.py	(revision None)
+++ Source/Python/_config.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/install.py
===================================================================
--- Source/Python/install.py	(revision None)
+++ Source/Python/install.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Source/Python/submit.py
===================================================================
--- Source/Python/submit.py	(revision None)
+++ Source/Python/submit.py	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -1,3 +1,3 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
 # -*- coding: utf-8 -*-
 #*******************************************************************************
Index: Templates/compilejob.template
===================================================================
--- Templates/compilejob.template	(revision None)
+++ Templates/compilejob.template	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -32,6 +32,6 @@
   module unload python
   module unload emos
-  module load python
-  module load eccodes/2.12.0
+  module load python3/3.6.8-01
+  module load eccodes/2.12.5
   module load emos/455-r64
   export FLEXPART_ROOT_SCRIPTS=$fp_root_scripts
@@ -42,6 +42,6 @@
   module switch PrgEnv-cray PrgEnv-intel
   module load python3
-  module load eccodes/2.12.0
-  module load emos
+  module load eccodes/2.12.5
+  module load emos/455-r64
   echo $${GROUP}
   echo $${HOME}
Index: Templates/job.temp
===================================================================
--- Templates/job.temp	(revision None)
+++ Templates/job.temp	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -32,6 +32,6 @@
   module unload python
   module unload emos
-  module load python/2.7.15-01
-  module load eccodes/2.12.0
+  module load python3/3.6.8-01
+  module load eccodes/2.12.5
   module load emos/455-r64
   export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
@@ -41,6 +41,6 @@
   module switch PrgEnv-cray PrgEnv-intel
   module load python3
-  module load eccodes/2.12.0
-  module load emos
+  module load eccodes/2.12.5
+  module load emos/455-r64
   export SCRATCH=$${TMPDIR}
   export PATH=$${PATH}:$${HOME}/flex_extract_v7.1/Source/Python
Index: Templates/job.template
===================================================================
--- Templates/job.template	(revision None)
+++ Templates/job.template	(revision 8463d78e072ae26108ea1d2a66211aa8ac9f9e72)
@@ -32,6 +32,6 @@
   module unload python
   module unload emos
-  module load python
-  module load eccodes/2.12.0
+  module load python3/3.6.8-01
+  module load eccodes/2.12.5
   module load emos/455-r64
   export PATH=$$$${PATH}:$fp_root_path
@@ -41,6 +41,6 @@
   module switch PrgEnv-cray PrgEnv-intel
   module load python3
-  module load eccodes/2.12.0
-  module load emos
+  module load eccodes/2.12.5
+  module load emos/455-r64
   export SCRATCH=$$$${TMPDIR}
   export PATH=$$$${PATH}:$fp_root_path