Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 3aae106eaf64df48f4cf2af2415ddd0f90514118)
+++ options/COMMAND	(revision 9397d0ff4a7392463176bf1766cadace84c03917)
@@ -1,31 +1,37 @@
+***************************************************************************************************************
+*                                                                                                             *
+*      Input file for the Lagrangian particle dispersion model FLEXPART                                       *
+*                           Please select your options                                                        *
+*                                                                                                             *
+***************************************************************************************************************
 &COMMAND
- LDIRECT=            	1, ! Simulation direction in time; 1 (forward) or -1 (backward)
- IBDATE=  	 20120101, ! Start date of the simulation; YYYYMMDD: YYYY=year, MM=month, DD=day  
- IBTIME=           060000, ! Start time of the simulation; HHMISS: HH=hours, MI=min, SS=sec; UTC
- IEDATE=         20120101, ! End date of the simulation  ; same format as IBDATE 
- IETIME=           120000, ! End  time of the simulation ; same format as IBTIME
+ LDIRECT=               1, ! Simulation direction in time   ; 1 (forward) or -1 (backward)
+ IBDATE=         20120101, ! Start date of the simulation   ; YYYYMMDD: YYYY=year, MM=month, DD=day  
+ IBTIME=           060000, ! Start time of the simulation   ; HHMISS: HH=hours, MI=min, SS=sec; UTC
+ IEDATE=         20120101, ! End date of the simulation     ; same format as IBDATE 
+ IETIME=           120000, ! End  time of the simulation    ; same format as IBTIME
  LOUTSTEP=           3600, ! Interval of model output; average concentrations calculated every LOUTSTEP (s)  
- LOUTAVER=           3600, ! Concentration averaging interval (s)
- LOUTSAMPLE=          900, ! Numerical sampling rate of output (s), higher stat. accuracy with shorter intervals
- ITSPLIT=        99999999, ! Time constant for particle splitting (s) 
+ LOUTAVER=           3600, ! Interval of output averaging (s)
+ LOUTSAMPLE=          900, ! Interval of output sampling  (s), higher stat. accuracy with shorter intervals
+ ITSPLIT=        99999999, ! Interval of particle splitting (s) 
  LSYNCTIME=           900, ! All processes are synchronized to this time interval (s)
- CTL=          -5.0000000, ! Times step smaller than Lag. time scale, LSYNCTIME if CTL<0, but can be shorter  
- IFINE=          	4, ! Reduction for time step in vertical transport, used only if CTL>1 
- IOUT=			1, ! Output type: 1]mass 2]pptv 3]1&2 4]plume 5]1&4, +8 for NetCDF output     
- IPOUT=          	0, ! Particle position output: 0]no 1]every output 2]only at end   
- LSUBGRID=          	0, ! Increase of ABL heights due to sub-grid scale orographic variations [0]off 1]on 
- LCONVECTION=          	0, ! 
- LAGESPECTRA=          	0,
- IPIN=          	0,
- IOUTPUTFOREACHRELEASE= 0,
- IFLUX=          	0,
- MDOMAINFILL=          	0,
- IND_SOURCE=          	1,
- IND_RECEPTOR=          1,
- MQUASILAG=          	0,
- NESTED_OUTPUT=         0,
- LINIT_COND=          	0,
- SURF_ONLY=          	0,
- CBLFLAG=          	0,
- OHFIELDS_PATH= "../../flexin/",
+ CTL=          -5.0000000, ! Times step smaller than Lagr. time scale, LSYNCTIME if CTL<0, but can be shorter  
+ IFINE=                 4, ! Reduction for time step in vertical transport, used only if CTL>1 
+ IOUT=                  1, ! Output type: [1]mass 2]pptv 3]1&2 4]plume 5]1&4, +8 for NetCDF output     
+ IPOUT=                 0, ! Particle position output: 0]no 1]every output 2]only at end   
+ LSUBGRID=              0, ! Increase of ABL heights due to sub-grid scale orographic variations;[0]off 1]on 
+ LCONVECTION=          	0, ! Switch for convection parameterization;[0]off 1]on    
+ LAGESPECTRA=          	0, ! Switch for calculation of age spectra (needs AGECLASSES);[0]off 1]on  
+ IPIN=                  0, ! Warm start from particle dump (needs previous partposit_end file); [0]no 1]yes  
+ IOUTPUTFOREACHRELEASE= 0, ! Separate output fields for each location in the RELEASE file; [0]no 1]yes 
+ IFLUX=                 0, ! Output of mass fluxes through output grid box boundaries
+ MDOMAINFILL=          	0, ! Switch for domain-filling, if limited-area particles generated at boundary
+ IND_SOURCE=            1, ! Unit to be used at the ource   ;  [1]mass 2]mass mixing ratio 
+ IND_RECEPTOR=          1, ! Unit to be used at the receptor;  [1]mass 2]mass mixing ratio 
+ MQUASILAG=             0, ! Quasi-Lagrangian mode to track individual numbered particles 
+ NESTED_OUTPUT=         1, ! Output also for a nested domain 
+ LINIT_COND=            0, ! Output sensitivity to initial conditions (backwards mode only)  
+ SURF_ONLY=             0, ! Output only for the lowest model layer, used w/ LINIT_COND=1 or 2
+ CBLFLAG=               0, ! Skewed, not Gaussian turbulence in the convective ABL, need large CTL and IFINE
+ OHFIELDS_PATH= "../../flexin/", ! Default path for OH file
  /
Index: options/OUTGRID
===================================================================
--- options/OUTGRID	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
+++ options/OUTGRID	(revision 9397d0ff4a7392463176bf1766cadace84c03917)
@@ -3,20 +3,20 @@
 !      Input file for the Lagrangian particle dispersion model FLEXPART        *
 !                       Please specify your output grid                        *
-!
-! OUTLON0 = GEOGRAPHYICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
-! OUTLAT0 = GEOGRAPHYICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
- NUMXGRID=    85   ,
- NUMYGRID=    65   ,
-! DXOUT   = GRID DISTANCE IN X DIRECTION
-! DYOUN   = GRID DISTANCE IN Y DIRECTION
-! OUTHEIGHTS = HEIGHT OF LEVELS (UPPER BOUNDARY)
+!                                                                              *
+! OUTLON0    = GEOGRAPHYICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID     *
+! OUTLAT0    = GEOGRAPHYICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID      *
+! NUMXGRID   = NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)       *
+! NUMYGRID   = NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)       *
+! DXOUT      = GRID DISTANCE IN X DIRECTION                                    *
+! DYOUN      = GRID DISTANCE IN Y DIRECTION                                    *
+! OUTHEIGHTS = HEIGHT OF LEVELS (UPPER BOUNDARY)                               *
 !*******************************************************************************
 &OUTGRID
- OUTLON0=   -25.00,
- OUTLAT0=    10.00,
- NUMXGRID=    85   ,
- NUMYGRID=    65   ,
- DXOUT=    1.00,
- DYOUT=    1.00,
- OUTHEIGHTS=  100.0   ,  500.0   ,  10000.0  , 50000.0  ,
+ OUTLON0=    -25.00,
+ OUTLAT0=     10.00,
+ NUMXGRID=       85,
+ NUMYGRID=       65,
+ DXOUT=        1.00,
+ DYOUT=        1.00,
+ OUTHEIGHTS=  100.0, 500.0, 1000.0 , 50000.0,
  /
Index: options/OUTGRID_NEST
===================================================================
--- options/OUTGRID_NEST	(revision 44322ef0a909ec32af8aefc6284fbec833e8f9cf)
+++ options/OUTGRID_NEST	(revision 9397d0ff4a7392463176bf1766cadace84c03917)
@@ -1,30 +1,20 @@
-********************************************************************************
-*                                                                              *
-*      Input file for the Lagrangian particle dispersion model FLEXPART        *
-*                       Please specify your output grid                        *
-*                                                                              *
-********************************************************************************
-
-1.  ------.----       4X,F11.4
-        -2.0000       GEOGRAFICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
-    OUTLONLEFT        (left boundary of the first grid cell - not its centre)
-
-2.  ------.----       4X,F11.4
-         1.0000       GEOGRAFICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
-    OUTLATLOWER       (lower boundary of the first grid cell - not its centre)
-
-3.  -----             4X,I5
-      400             NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)
-    NUMXGRID
-
-4.  -----             4X,I5
-      200             NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)
-    NUMYGRID
-
-5.  ------.-----      4X,F12.5
-         0.01000      GRID DISTANCE IN X DIRECTION
-    DXOUTLON
-
-6.  ------.-----      4X,F12.5
-         0.01000      GRID DISTANCE IN Y DIRECTION
-    DYOUTLAT
+!*******************************************************************************
+!                                                                              *
+!      Input file for the Lagrangian particle dispersion model FLEXPART        *
+!                       Please specify your output grid                        *
+!                                                                              *
+! OUTLON0    = GEOGRAPHYICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID     *
+! OUTLAT0    = GEOGRAPHYICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID      *
+! NUMXGRID   = NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)       *
+! NUMYGRID   = NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)       *
+! DXOUT      = GRID DISTANCE IN X DIRECTION                                    *
+! DYOUN      = GRID DISTANCE IN Y DIRECTION                                    *
+!*******************************************************************************
+&OUTGRIDN
+ OUTLON0N=    -25.00,
+ OUTLAT0N=     10.00,
+ NUMXGRIDN=       85,
+ NUMYGRIDN=       65,
+ DXOUTN=        1.00,
+ DYOUTN=        1.00,
+ /
Index: options/RELEASES
===================================================================
--- options/RELEASES	(revision 547b18804b51c7c2eb4c41ff6bd6d48929028b86)
+++ options/RELEASES	(revision 9397d0ff4a7392463176bf1766cadace84c03917)
@@ -1,20 +1,46 @@
+*************************************************************************
+*                                                                       *
+*                                                                       *
+*                                                                       *
+*   Input file for the Lagrangian particle dispersion model FLEXPART    *
+*                        Please select your options                     *
+*                                                                       *
+*                                                                       *
+*                                                                       *
+*************************************************************************
 &RELEASES_CTRL
- NSPEC=          1,
- SPECNUM_REL=        24,
+ NSPEC      =           1,
+ SPECNUM_REL=          24,
  /
 &RELEASE
- IDATE1=   20120101,
- ITIME1=     090000,
- IDATE2=   20120101,
- ITIME2=     090000,
- LON1=    0.000    ,
- LON2=    0.000    ,
- LAT1=   20.00,
- LAT2=   20.00,
- Z1=    50.000       ,
- Z2=    50.000       ,
- ZKIND=     1,
- MASS=  1.0000E8    ,
- PARTS=   10000 
- COMMENT="TEST1",
+ IDATE1  =       20120101,
+ ITIME1  =         090000,
+ IDATE2  =       20120101,
+ ITIME2  =         090000,
+ LON1    =          0.000,
+ LON2    =          0.000,
+ LAT1    =         20.000,
+ LAT2    =         20.000,
+ Z1      =         50.000,
+ Z2      =         50.000,
+ ZKIND   =              1,
+ MASS    =       1.0000E8,
+ PARTS   =          10000, 
+ COMMENT =    "RELEASE 1",
  /
+ &RELEASE
+ IDATE1  =       20120101,
+ ITIME1  =         090000,
+ IDATE2  =       20120101,
+ ITIME2  =         090000,
+ LON1    =          0.000,
+ LON2    =          0.000,
+ LAT1    =         20.000,
+ LAT2    =         20.000,
+ Z1      =        100.000,
+ Z2      =        100.000,
+ ZKIND   =              1,
+ MASS    =       1.0000E8,
+ PARTS   =          10000, 
+ COMMENT =    "RELEASE 2",
+ /