Index: python/CONTROL.temp
===================================================================
--- python/CONTROL.temp	(revision 0368c3284b911d43f5f0f67202bfb2342e1365bc)
+++ python/CONTROL.temp	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -1,12 +1,12 @@
 DAY1
 DAY2
-DTIME 3
-TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
-TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
-STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+DTIME 1
+TYPE AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN AN
+TIME 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+STEP 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 ACCTYPE FC
-ACCTIME 00/12
+ACCTIME 06/18
 ACCMAXSTEP 12
-CLASS EI
+CLASS EA
 STREAM OPER
 NUMBER OFF
@@ -17,23 +17,25 @@
 UPPER 90000
 RIGHT 180000
-LEVEL 60
-LEVELIST 1/to/60
+LEVEL 137
+LEVELIST 1/to/137
+CWC 1
 RESOL 159
-GAUSS 1
-ACCURACY 16
+GAUSS 0
+ACCURACY 24
 OMEGA 0
 OMEGADIFF 0
-ETA 0
+ETA 1
 ETADIFF 0
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
-ADDPAR 27/28/173/186/187/188/235/139/39
-PREFIX EN
+FORMAT GRIB2
+ADDPAR 186/187/188/235/139/39
+PREFIX EA
 ECSTORAGE 0
 ECTRANS 1
 ECFSDIR ectmp:/${USER}/econdemand/
+MAILFAIL ${USER} 
 MAILOPS ${USER}
-MAILFAIL ${USER}
 GRIB2FLEXPART 0
 EOF
+
Index: python/CONTROL_CERA
===================================================================
--- python/CONTROL_CERA	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_CERA	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -12,14 +12,14 @@
 NUMBER 0
 EXPVER 1
-GRID 2000  
-LEFT -24000
-LOWER 10000
-UPPER 74000
-RIGHT 60000
+GRID 1000  
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 180000
 LEVEL 91
-LEVELIST 89/to/91
-RESOL 106
+LEVELIST 1/to/91
+RESOL 159
 GAUSS 0
-ACCURACY 16
+ACCURACY 24
 OMEGA 0
 OMEGADIFF 0
@@ -28,5 +28,5 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR 27/28/173/186/187/188/235/139/39
 CWC 1
Index: python/CONTROL_CERA.public
===================================================================
--- python/CONTROL_CERA.public	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_CERA.public	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -13,14 +13,14 @@
 NUMBER 0
 EXPVER 1
-GRID 2000  
-LEFT -24000
-LOWER 10000
-UPPER 74000
-RIGHT 60000
+GRID 1000  
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 180000
 LEVEL 91
 LEVELIST 1/to/91
-RESOL 106
+RESOL 159
 GAUSS 0
-ACCURACY 16
+ACCURACY 24
 OMEGA 0
 OMEGADIFF 0
@@ -29,5 +29,5 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR 27/28/173/186/187/188/235/139/39
 CWC 1
Index: python/CONTROL_CF
===================================================================
--- python/CONTROL_CF	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_CF	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -20,7 +20,8 @@
 LEVEL 91
 LEVELIST 89/to/91
+CWC 1
 RESOL 159
 GAUSS 1
-ACCURACY 16
+ACCURACY 24
 OMEGA 1
 OMEGADIFF 0
@@ -29,5 +30,5 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR /186/187/188/235/139/39
 PREFIX CF
Index: python/CONTROL_CV
===================================================================
--- python/CONTROL_CV	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_CV	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -18,9 +18,10 @@
 UPPER 90000
 RIGHT 180000
-LEVEL 91
-LEVELIST 1/to/91
+LEVEL 62
+LEVELIST 1/to/62
+CWC 1
 RESOL 159
 GAUSS 1
-ACCURACY 16
+ACCURACY 24
 OMEGA 1
 OMEGADIFF 0
@@ -29,5 +30,5 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR /186/187/188/235/139/39
 PREFIX CV
Index: python/CONTROL_EA5
===================================================================
--- python/CONTROL_EA5	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_EA5	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -13,13 +13,14 @@
 EXPVER 1
 GRID 1000  
-LEFT -25000
-LOWER 10000
-UPPER 75000
-RIGHT 60000
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 180000
 LEVEL 137
-LEVELIST 130/to/137
+LEVELIST 1/to/137
+CWC 1
 RESOL 159
 GAUSS 0
-ACCURACY 16
+ACCURACY 24
 OMEGA 0
 OMEGADIFF 0
@@ -28,5 +29,5 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR 186/187/188/235/139/39
 PREFIX EA
Index: python/CONTROL_EA5.highres
===================================================================
--- python/CONTROL_EA5.highres	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_EA5.highres	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -12,11 +12,11 @@
 M_NUMBER OFF
 M_EXPVER 1
-M_GRID 250  
-M_LEFT -100000
-M_LOWER 00000
-M_UPPER 60000
-M_RIGHT 60000
-M_LEVELIST 60/to/137
-M_RESOL 799
+GRID 500  
+LEFT -179500
+LOWER -90000
+UPPER 90000
+RIGHT 180000
+M_LEVELIST 1/to/137
+M_RESOL 319
 M_GAUSS 0
 M_ACCURACY 24
Index: python/CONTROL_EA5.public
===================================================================
--- python/CONTROL_EA5.public	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_EA5.public	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -13,11 +13,12 @@
 NUMBER OFF
 EXPVER 1
-GRID 1000 
-LEFT -15000
-LOWER 30000
-UPPER 75000
-RIGHT 45000
+GRID 1000  
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 180000
 LEVELIST 1/to/137
-RESOL 213
+CWC 1
+RESOL 159
 ACCURACY 24
 GAUSS 0
@@ -28,7 +29,7 @@
 DPDETA 1
 SMOOTH 0
-FORMAT GRIB1
+FORMAT GRIB2
 ADDPAR 186/187/188/235/139/39
-PREFIX EApub  
+PREFIX EA  
 ECSTORAGE 0
 ECTRANS 1
Index: python/CONTROL_EI
===================================================================
--- python/CONTROL_EI	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
+++ python/CONTROL_EI	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -0,0 +1,40 @@
+DAY1 
+DAY2 
+DTIME 3
+TYPE AN FC FC FC AN FC FC FC
+TIME 00 00 00 00 12 12 12 12 
+STEP 00 03 06 09 00 03 06 09
+ACCTYPE FC
+ACCTIME 00/12
+ACCMAXSTEP 12
+CLASS EI
+STREAM OPER
+NUMBER OFF
+EXPVER 1
+GRID 1000  
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 180000
+LEVEL 60
+LEVELIST 1/to/60
+CWC 1
+RESOL 159
+GAUSS 1
+ACCURACY 24
+OMEGA 0
+OMEGADIFF 0
+ETA 0
+ETADIFF 0
+DPDETA 1
+SMOOTH 0
+FORMAT GRIB2
+ADDPAR /186/187/188/235/139/39
+PREFIX EI
+ECSTORAGE 0
+ECTRANS 1
+ECFSDIR ectmp:/${USER}/econdemand/
+MAILOPS ${USER}
+MAILFAIL ${USER}
+GRIB2FLEXPART 0
+EOF
Index: python/CONTROL_EI.global
===================================================================
--- python/CONTROL_EI.global	(revision 0368c3284b911d43f5f0f67202bfb2342e1365bc)
+++ python/CONTROL_EI.global	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -1,8 +1,8 @@
-DAY1 20171105
-DAY2 20171105
+DAY1
+DAY2
 DTIME 3
-TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
-TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
-STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
+TYPE AN AN AN AN AN AN AN AN
+TIME 00 03 06 09 12 15 18 21 
+STEP 00 00 00 00 00 00 00 00
 ACCTYPE FC
 ACCTIME 00/12
@@ -17,9 +17,10 @@
 UPPER 90000
 RIGHT 180000
+CWC 1
 LEVEL 60
 LEVELIST 1/to/60
 RESOL 159
 GAUSS 1
-ACCURACY 16
+ACCURACY 24
 OMEGA 0
 OMEGADIFF 0
Index: python/CONTROL_EI.public
===================================================================
--- python/CONTROL_EI.public	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_EI.public	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -13,11 +13,12 @@
 NUMBER OFF
 EXPVER 1
-GRID 5000 
-LEFT -15000
-LOWER 30000
-UPPER 75000
-RIGHT 45000
-LEVELIST 55/to/60
-RESOL 63
+GRID 1000  
+LEFT -179000
+LOWER -90000
+UPPER 90000
+RIGHT 1800000
+LEVELIST 1/to/60
+RESOL 159
+CWC 1
 ACCURACY 24
 GAUSS 1
@@ -30,5 +31,5 @@
 FORMAT GRIB1
 ADDPAR 186/187/188/235/139/39
-PREFIX EIpub  
+PREFIX EI  
 ECSTORAGE 0
 ECTRANS 1
Index: python/CONTROL_FC.pure
===================================================================
--- python/CONTROL_FC.pure	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_FC.pure	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -10,5 +10,5 @@
 ACCMAXSTEP 36
 M_LEVEL 137
-M_LEVELIST 136/to/137
+M_LEVELIST 1/to/137
 M_CLASS OD
 M_STREAM OPER
@@ -16,11 +16,11 @@
 M_EXPVER 1
 M_GRID 1000  
-M_LEFT -25000
-M_LOWER 10000
-M_UPPER 60000
-M_RIGHT 60000
+M_LEFT -179000
+M_LOWER -90000
+M_UPPER 90000
+M_RIGHT 180000
 M_RESOL 159
 M_GAUSS 0
-M_ACCURACY 16
+M_ACCURACY 24
 M_OMEGA 0
 M_OMEGADIFF 0
@@ -29,5 +29,5 @@
 M_DPDETA 1
 M_SMOOTH 0
-M_FORMAT GRIB1
+M_FORMAT GRIB2
 M_ADDPAR /186/187/188/235/139/39
 M_WRF 0
Index: python/CONTROL_FC.twiceaday
===================================================================
--- python/CONTROL_FC.twiceaday	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_FC.twiceaday	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -10,5 +10,5 @@
 ACCMAXSTEP 12
 M_LEVEL 137
-M_LEVELIST 120/to/121
+M_LEVELIST 1/to/137
 M_CLASS OD
 M_STREAM OPER
@@ -16,8 +16,8 @@
 M_EXPVER 1
 M_GRID 1000  
-M_LEFT -25000
-M_LOWER 10000
-M_UPPER 60000
-M_RIGHT 60000
+M_LEFT -179000
+M_LOWER -90000
+M_UPPER 90000
+M_RIGHT 180000
 M_RESOL 159
 M_GAUSS 0
@@ -29,9 +29,9 @@
 M_DPDETA 1
 M_SMOOTH 0
-M_FORMAT GRIB1
+M_FORMAT GRIB2
 M_ADDPAR /186/187/188/235/139/39
 M_WRF 0
 M_CWC 1
-PREFIX FChd_
+PREFIX FC
 ECSTORAGE 0
 ECTRANS 1
Index: python/CONTROL_OD.glob.025
===================================================================
--- python/CONTROL_OD.glob.025	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/CONTROL_OD.glob.025	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -1,5 +1,5 @@
 DAY1 
 DAY2 
-DTIME 3
+DTIME 1
 M_TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
 M_TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
@@ -26,4 +26,5 @@
 M_FORMAT GRIB2
 M_ADDPAR /186/187/188/235/139/39
+M_CWC 1
 PREFIX ENH
 ECSTORAGE 0
Index: python/CONTROL_OD.highres.eta
===================================================================
--- python/CONTROL_OD.highres.eta	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_OD.highres.eta	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -26,4 +26,5 @@
 M_FORMAT GRIB2
 M_ADDPAR /186/187/188/235/139/39
+M_CWC 1
 PREFIX ENH
 ECSTORAGE 0
Index: python/CONTROL_OD.highres.gauss
===================================================================
--- python/CONTROL_OD.highres.gauss	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_OD.highres.gauss	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -1,5 +1,5 @@
 DAY1 
 DAY2 
-DTIME 3
+DTIME 1
 M_TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
 M_TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
@@ -29,4 +29,5 @@
 M_FORMAT GRIB2
 M_ADDPAR 186/187/188/235/139/39
+M_CWC 1
 PREFIX ENHG
 ECSTORAGE 0
Index: python/CONTROL_OPS
===================================================================
--- python/CONTROL_OPS	(revision 0368c3284b911d43f5f0f67202bfb2342e1365bc)
+++ python/CONTROL_OPS	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -1,5 +1,5 @@
-M_TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC FC
-M_TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12 12
-M_STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11 12
+M_TYPE AN FC FC FC FC FC FC FC FC FC FC FC AN FC FC FC FC FC FC FC FC FC FC FC
+M_TIME 00 00 00 00 00 00 00 00 00 00 00 00 12 12 12 12 12 12 12 12 12 12 12 12
+M_STEP 00 01 02 03 04 05 06 07 08 09 10 11 00 01 02 03 04 05 06 07 08 09 10 11
 DTIME 3
 PREFIX EN
@@ -12,13 +12,12 @@
 M_NUMBER OFF
 M_GRID 1000
-M_RESOL 255
+M_RESOL 159
 M_SMOOTH 0
 M_GAUSS 0
 M_ETA 1
-CWC 1
 M_ETAPAR 77
 M_DPDETA 1
 M_LEVEL 137
-M_LEVELIST 136/to/137
+M_LEVELIST 130/to/137
 M_ADDPAR /186/187/188/235/139/39
 M_FORMAT GRIB2
@@ -28,2 +27,3 @@
 MAILOPS ${USER}
 MAILFAIL ${USER}
+M_CWC 1
Index: python/CONTROL_OPS.4V
===================================================================
--- python/CONTROL_OPS.4V	(revision e18f4b5f53f063ab746e1307bdd3162d31cb3e8a)
+++ python/CONTROL_OPS.4V	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -21,5 +21,5 @@
 M_DPDETA 1
 M_LEVEL 137
-M_LEVELIST 136/to/137
+M_LEVELIST 1/to/137
 M_ADDPAR 186/187/188/235/139/39
 M_FORMAT GRIB1
@@ -29,2 +29,3 @@
 MAILOPS ${USER}
 MAILFAIL ${USER}
+CWC 1
Index: python/CONTROL_ZAMG_SYNTH_ELDA
===================================================================
--- python/CONTROL_ZAMG_SYNTH_ELDA	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
+++ python/CONTROL_ZAMG_SYNTH_ELDA	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -0,0 +1,34 @@
+DAY1
+DAY2
+DTIME 3
+M_TYPE AN FC AN FC AN FC AN FC 
+M_TIME 00 18 06 06 12 06 18 18 
+M_STEP 00 09 00 03 00 09 00 03
+M_ACCTIME 06/18
+M_ACCMAXSTEP 12
+M_STREAM ELDA 
+PREFIX EN
+M_UPPER 30000
+M_LOWER 10000
+M_LEFT -10000
+M_RIGHT 10000
+M_CLASS OD
+M_NUMBER 0/to/25
+M_GRID 1000
+M_RESOL 159
+M_SMOOTH 0
+M_GAUSS 0
+M_ETA 1
+M_CWC 1
+M_ETAPAR 77
+M_DPDETA 1
+M_LEVEL 137
+M_LEVELIST 1/TO/137
+M_ADDPAR 186/187/188/235/139/39/134
+M_FORMAT GRIB1
+ECSTORAGE 0
+ECTRANS 1
+DEBUG 1
+ECFSDIR ectmp:/${USER}/ecops
+MAILOPS ${USER}
+MAILFAIL ${USER}
Index: python/CONTROL_ZAMG_SYNTH_ENFO
===================================================================
--- python/CONTROL_ZAMG_SYNTH_ENFO	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/CONTROL_ZAMG_SYNTH_ENFO	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -6,13 +6,13 @@
 M_STEP 00 03 06 09 00 03 06 09 
 M_STREAM ENFO 
-PREFIX OP
+PREFIX EN
 M_UPPER 90000
 M_LOWER -90000
-M_LEFT  -179500
+M_LEFT -179000
 M_RIGHT 180000
 M_CLASS OD
 M_NUMBER 1/TO/50
-M_GRID 500
-M_RESOL 319
+M_GRID 1000
+M_RESOL 159
 M_SMOOTH 0
 M_GAUSS 1
@@ -21,10 +21,10 @@
 M_DPDETA 1
 M_LEVEL 91
-M_LEVELIST 1/TO/91
+M_LEVELIST 85/TO/91
 M_ADDPAR 186/187/188/235/139/39/134
 M_FORMAT GRIB1
 ECSTORAGE 1
 ECTRANS 0
-DEBUG  0
+DEBUG  1
 ECFSDIR ectmp:/${USER}/ecops
 MAILOPS ${USER}
Index: python/CONTROL_ZAMG_SYNTH_ENFOCF
===================================================================
--- python/CONTROL_ZAMG_SYNTH_ENFOCF	(revision 21938083773b1bba2e82ee565f34eba3445dfa1a)
+++ python/CONTROL_ZAMG_SYNTH_ENFOCF	(revision 20577dc5e03880e1a3ac888d7ac339fa1504edf6)
@@ -5,14 +5,17 @@
 M_TIME 00 00 00 00 12 12 12 12 
 M_STEP 00 03 06 09 00 03 06 09 
+ACCTYPE CF
+ACCTIME 00/12
+ACCMAXSTEP 12
 M_STREAM ENFO 
-PREFIX OP
+PREFIX EN
 M_UPPER 90000
 M_LOWER -90000
-M_LEFT  -179500
+M_LEFT -179000
 M_RIGHT 180000
 M_CLASS OD
 M_NUMBER 0
-M_GRID 500
-M_RESOL 319
+M_GRID 1000
+M_RESOL 159
 M_SMOOTH 0
 M_GAUSS 1
@@ -20,11 +23,12 @@
 M_ETAPAR 77
 M_DPDETA 1
+M_CWC 1
 M_LEVEL 91
 M_LEVELIST 1/TO/91
 M_ADDPAR 186/187/188/235/139/39/134
 M_FORMAT GRIB1
-ECSTORAGE 1
-ECTRANS 0
-DEBUG  0
+ECSTORAGE 0
+ECTRANS 1
+DEBUG  1
 ECFSDIR ectmp:/${USER}/ecops
 MAILOPS ${USER}